<template>
<header class="d-print-none">
  <app-update v-if="app.hasUpdate"></app-update>
  <v-container py-0>
    <author></author>
  </v-container>
  <v-container my-0 py-0 class="hidden-xs-only">
    <navigation-tabs></navigation-tabs>
  </v-container>
  <v-divider></v-divider>

  <!-- <v-navigation-drawer -->
  <!--   style="max-height: 100%" -->
  <!--   v-model="drawer" -->
  <!--   class="d-print-none" -->
  <!--   clipped -->
  <!--   app -->
  <!--   > -->
    <!--   <v-list-item> -->
      <!--     <v-list-item-avatar> -->
        <!--       <img :src="require('@/assets/img/sergey-pashinin.jpg')" alt="Avatar"> -->
        <!--     </v-list-item-avatar> -->

      <!--     <v-list-item-content> -->
        <!--       <v-list-item-title>Сергей Пашинин</v-list-item-title> -->
        <!--     </v-list-item-content> -->
      <!--   </v-list-item> -->

    <!--   <v-divider></v-divider> -->

    <!--   <v-list nav> -->
      <!--     <v-list-item -->
      <!--       v-for="item in $store.state.menu.items" -->
      <!--       :key="item.to" -->
      <!--       :to="item.to"> -->
        <!--       <v-list-item-icon v-if="item.icon"> -->
          <!--         <v-icon>{{item.icon}}</v-icon> -->
          <!--       </v-list-item-icon> -->
        <!--       <v-list-item-content> -->
          <!--         <v-list-item-title>{{ item.title }}</v-list-item-title> -->
          <!--       </v-list-item-content> -->
        <!--     </v-list-item> -->
      <!--   </v-list> -->
    <!-- </v-navigation-drawer> -->

  <!-- <v-app-bar app hide-on-scroll flat class="hidden-sm-and-up"> -->

  <!-- </v-app-bar> -->


  <v-container py-1 class="d-none">
    <v-toolbar flat class="pa-0">
      <!-- <v-app-bar-nav-icon @click.stop="drawer = !drawer" aria-label="Menu"> -->
        <!--   <v-icon>{{ mdiMenu }}</v-icon> -->
        <!-- </v-app-bar-nav-icon> -->

      <v-toolbar-title class="hidden-xs-only">
        <router-link to="/" class="black--text" style="text-decoration:none">
          Репетитор по информатике и программированию
        </router-link>
      </v-toolbar-title>

      <v-spacer></v-spacer>
      <!-- class="hidden-xs-only" -->
      <span class="title hidden-xs-only text-no-wrap">{{repetitor.phone}}</span>

      <!-- <template v-slot:extension v-if="app.hasUpdate || 1==1"> -->
      <!--   <app-update></app-update> -->
      <!-- </template> -->
    </v-toolbar>
  </v-container>


</header>
</template>



<script>
import { mapState } from 'vuex';
import store from '@/store/index';
// import Navigation from '@/common/Navigation.vue';
import NavigationTabs from '@/common/NavigationTabs.vue';

import {
  mdiMenu,
  mdiHome,
  mdiCurrencyUsd,
  // mdiCellphoneArrowDown,
  mdiChevronLeft,
  mdiChevronRight,
  mdiFrequentlyAskedQuestions,
  mdiContacts,
} from '@mdi/js';

export default {
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  components: {
    NavigationTabs,
    'app-update': () => import('@/common/AppUpdate.vue'),
    author: () => import('@/common/Author.vue'),
  },
  created() {
    store.commit('changeMenu', {
      items: [
        {
          to: '/',
          title: 'Главная',
          // icon: 'mdi-home',
          icon: this.mdiHome,
        },
        {
          to: '/price',
          title: 'Оплата',
          // icon: 'mdi-currency-usd',
          icon: this.mdiCurrencyUsd,
        },
        // {
        //   to: '/pay',
        //   title: 'Как оплатить',
        //   icon: 'fa-credit-card',
        // },
        {
          to: '/faq',
          title: 'Частые вопросы',
          // icon: 'mdi-frequently-asked-questions',
          icon: this.mdiFrequentlyAskedQuestions,
        },
        {
          to: '/contacts',
          title: 'Контакты',
          // icon: 'mdi-contacts',
          icon: this.mdiContacts,
        },
      ],
    });
  },
  data: () => ({
    // icons
    mdiMenu,
    mdiHome,
    mdiCurrencyUsd,
    mdiFrequentlyAskedQuestions,
    mdiContacts,
    mdiChevronLeft,
    mdiChevronRight,

    tab: '',
    drawer: false,
    loading: false,
    // org: {},

    bottomNav: '',
    items: [
      {
        to: '/',
        title: 'Главная',
        // icon: 'mdi-home',
        icon: mdiHome,
      },
      {
        to: '/price',
        title: 'Оплата',
        // icon: 'mdi-currency-usd',
        icon: mdiCurrencyUsd,
      },
      // {
      //   to: '/pay',
      //   title: 'Как оплатить',
      //   icon: 'fa-credit-card',
      // },
      {
        to: '/faq',
        title: 'Вопросы',
        // icon: 'mdi-frequently-asked-questions',
        icon: mdiFrequentlyAskedQuestions,
      },
      {
        to: '/contacts',
        title: 'Контакты',
        // icon: 'mdi-contacts',
        icon: mdiContacts,
      },
    ],
  }),
  methods: {
    appUpdate() {
      this.loading = true;
      const newServiceWorker = this.$store.state.app.newWorker;

      if (newServiceWorker) {
        newServiceWorker.postMessage({ action: 'skipWaiting' });
      }
      // We can't do document.location.reload() here because a service
      // worker may not have finished skipWaiting(). A blank screen can
      // appear.
    },
  },
  props: {
    breadcrumbs: Object,
  },
};
</script>
